//---------------------------------------------------------------------------

#ifndef Stack_ExampleH
#define Stack_ExampleH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <Grids.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TLabel *Label1;
        TRadioButton *Int_RadioButton;
        TRadioButton *Float_RadioButton;
        TEdit *Element;
        TButton *Push_Button;
        TButton *Pop_Button;
        TGroupBox *GroupBox1;
        TStringGrid *Elements_Table;
        TButton *Clear_Button;
        TButton *Size_Button;
        TEdit *Size_Edit;
        TComboBox *Type_Stack;
        TButton *Benchmark_Button;
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall Float_RadioButtonClick(TObject *Sender);
        void __fastcall Int_RadioButtonClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall Push_ButtonClick(TObject *Sender);
        void __fastcall Pop_ButtonClick(TObject *Sender);
        void __fastcall Size_ButtonClick(TObject *Sender);
        void __fastcall Clear_ButtonClick(TObject *Sender);
        void __fastcall Type_StackChange(TObject *Sender);
        void __fastcall Benchmark_ButtonClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
