//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "Array_Example.h"
#include "DArray.h"
#include "DMatrix.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;

DArray<int> *array_int;
DArray<float> *array_float;
DArray<AnsiString> *array_string;

DMatrix<int> *matrix_int;
DMatrix<float> *matrix_float;
DMatrix<AnsiString> *matrix_string;

typedef void (*function)();
function function_array[5][6];

int data_type;

//---------------------------------------------------------------------------
void Create_Array_int()
{
        int i,number,length;

        if (array_int)
        {
                Application->MessageBoxA("  .", ":", MB_OK);
                return;
        }

        array_int = new DArray<int>(StrToInt(Form1->iSize_Edit->Text));

        for(i = 0; i < StrToInt(Form1->iSize_Edit->Text); i++)
        {
                (*array_int)[i] = random(1000);
        }
        length = StrToInt(Form1->Elements_Table->ColCount);
        if (length > array_int->GetSize())
                length = array_int->GetSize();
        for(i = 0; i < length; i++)
        {
                Form1->Elements_Table->Cells[i][0] = IntToStr((*array_int)[i]);
        }
}
//---------------------------------------------------------------------------
void Set_Array_int()
{
        if (Form1->Element_Edit->Text == "")
                Form1->Element_Edit->Text = '0';
        (*array_int)[StrToInt(Form1->I_Edit->Text)] = StrToInt(Form1->Element_Edit->Text);
}
//---------------------------------------------------------------------------
void Equal_Array_int()
{
        if (array_int)
                Form1->Element_Edit->Text = IntToStr((*array_int)[StrToInt(Form1->I_Edit->Text)]);
}
//---------------------------------------------------------------------------
void Update_Array_int()
{
        int i,k;

        k = StrToInt(Form1->Elements_Table->ColCount);
        for(i = 0; i < k; i++)
            Form1->Elements_Table->Cells[i][0] = "";

        if (k > array_int->GetSize())
                k = array_int->GetSize();

        for(i = 0; i < k; i++)
                Form1->Elements_Table->Cells[i][0] = IntToStr((*array_int)[Form1->Horiz_ScrollBar->Position+i]);
}
//---------------------------------------------------------------------------
void Resize_Array_int()
{
        if (array_int)
                array_int->Resize(StrToInt(Form1->iSize_Edit->Text));
}
//---------------------------------------------------------------------------
void Create_Array_float()
{
        int i,length;

        if (array_float)
        {
                Application->MessageBoxA("  .", ":", MB_OK);
                return;
        }

        array_float = new DArray<float>(StrToInt(Form1->iSize_Edit->Text));

        for(i = 0; i < StrToInt(Form1->iSize_Edit->Text); i++)
        {
                (*array_float)[i] = rand() / rand();
        }
        length = StrToInt(Form1->Elements_Table->ColCount);
        if (length > array_float->GetSize())
                length = array_float->GetSize();
        for(i = 0; i < length; i++)
        {
                Form1->Elements_Table->Cells[i][0] = FloatToStr((*array_float)[i]);
        }
}
//---------------------------------------------------------------------------
void Set_Array_float()
{
        if (Form1->Element_Edit->Text == "")
                Form1->Element_Edit->Text = '0';
        (*array_float)[StrToInt(Form1->I_Edit->Text)] = StrToFloat(Form1->Element_Edit->Text);
}
//---------------------------------------------------------------------------
void Equal_Array_float()
{
        if (array_float)
                Form1->Element_Edit->Text = FloatToStr((*array_float)[StrToInt(Form1->I_Edit->Text)]);
}
//---------------------------------------------------------------------------
void Update_Array_float()
{
        int i,k;

        k = StrToInt(Form1->Elements_Table->ColCount);
        for(i = 0; i < k; i++)
            Form1->Elements_Table->Cells[i][0] = "";

        if (k > array_float->GetSize())
                k = array_float->GetSize();

        for(i = 0; i < k; i++)
                Form1->Elements_Table->Cells[i][0] = FloatToStr((*array_float)[Form1->Horiz_ScrollBar->Position+i]);
}
//---------------------------------------------------------------------------
void Resize_Array_float()
{
        if (array_float)
                array_float->Resize(StrToInt(Form1->iSize_Edit->Text));
}
//---------------------------------------------------------------------------
void Create_Array_string()
{
        int i, length;

        if (array_string)
        {
                Application->MessageBoxA("  .", ":", MB_OK);
                return;
        }

        array_string = new DArray<AnsiString>(StrToInt(Form1->iSize_Edit->Text));

        for(i = 0; i < StrToInt(Form1->iSize_Edit->Text); i++)
        {
                (*array_string)[i] = "Test" + IntToStr(i);
        }
        length = StrToInt(Form1->Elements_Table->ColCount);
        if (length > array_string->GetSize())
                length = array_string->GetSize();
        for(i = 0; i < length; i++)
        {
                Form1->Elements_Table->Cells[i][0] = (*array_string)[i];
        }
}
//---------------------------------------------------------------------------
void Set_Array_string()
{
        if (Form1->Element_Edit->Text == "")
                Form1->Element_Edit->Text = "";
        (*array_string)[StrToInt(Form1->I_Edit->Text)] = Form1->Element_Edit->Text;
}
//---------------------------------------------------------------------------
void Equal_Array_string()
{
        if (array_string)
                Form1->Element_Edit->Text = (*array_string)[StrToInt(Form1->I_Edit->Text)];
}
//---------------------------------------------------------------------------
void Update_Array_string()
{
        int i,k;

        k = StrToInt(Form1->Elements_Table->ColCount);
        for(i = 0; i < k; i++)
            Form1->Elements_Table->Cells[i][0] = "";

        if (k > array_string->GetSize())
                k = array_string->GetSize();

        for(i = 0; i < k; i++)
                Form1->Elements_Table->Cells[i][0] = (*array_string)[Form1->Horiz_ScrollBar->Position+i];
}
//---------------------------------------------------------------------------
void Resize_Array_string()
{
        if (array_string)
                array_string->Resize(StrToInt(Form1->iSize_Edit->Text));
}
//---------------------------------------------------------------------------
void Create_Matrix_int()
{
        int i,j,length_i,length_j;

        if (matrix_int)
        {
                Application->MessageBoxA("  .", ":", MB_OK);
                return;
        }

        matrix_int = new DMatrix<int>(StrToInt(Form1->iSize_Edit->Text), StrToInt(Form1->jSize_Edit->Text));

        for(i = 0; i < StrToInt(Form1->iSize_Edit->Text); i++)
                for(j = 0; j < StrToInt(Form1->jSize_Edit->Text); j++)
                {
                        (*matrix_int)(i,j) = rand();
                }
        length_i = StrToInt(Form1->Elements_Table->RowCount);
        if (length_i > matrix_int->Get_RowCount())
                length_i = matrix_int->Get_RowCount();
        length_j = StrToInt(Form1->Elements_Table->ColCount);
        if (length_j > matrix_int->Get_ColCount())
                length_j = matrix_int->Get_ColCount();
        for(i = 0; i < length_i; i++)
                for(j = 0; j < length_j; j++)
        {
                Form1->Elements_Table->Cells[j][i] = (*matrix_int)(i,j);
        }
}
//---------------------------------------------------------------------------
void Equal_Matrix_int()
{
        if (matrix_int)
                Form1->Element_Edit->Text = IntToStr((*matrix_int)(StrToInt(Form1->I_Edit->Text), StrToInt(Form1->J_Edit->Text)));
}
//---------------------------------------------------------------------------
void Set_Matrix_int()
{
        if (Form1->Element_Edit->Text == "")
                Form1->Element_Edit->Text = '0';
        (*matrix_int)(StrToInt(Form1->I_Edit->Text), StrToInt(Form1->J_Edit->Text)) = StrToInt(Form1->Element_Edit->Text);
}
//---------------------------------------------------------------------------
void Update_Matrix_int()
{
        int i,j,length_i,length_j;

        length_i = StrToInt(Form1->Elements_Table->RowCount);
        length_j = StrToInt(Form1->Elements_Table->ColCount);

        for(i = 0; i < length_i; i++)
          for(j = 0; j < length_j; j++)
            Form1->Elements_Table->Cells[j][i] = "";

        if (length_i > matrix_int->Get_RowCount())
                length_i = matrix_int->Get_RowCount();

        if (length_j > matrix_int->Get_ColCount())
                length_j = matrix_int->Get_ColCount();
        for(i = 0; i < length_i; i++)
                for(j = 0; j < length_j; j++)
        {
                Form1->Elements_Table->Cells[j][i] = (*matrix_int)(Form1->Horiz_ScrollBar->Position+j, Form1->Vert_ScrollBar->Position+i);
        }
}
//---------------------------------------------------------------------------
void Resize_Matrix_int()
{
        if (matrix_int)
                matrix_int->Resize(StrToInt(Form1->iSize_Edit->Text), StrToInt(Form1->jSize_Edit->Text));
}
//---------------------------------------------------------------------------
void Create_Matrix_float()
{
        int i,j,length_i,length_j;

        if (matrix_float)
        {
                Application->MessageBoxA("  .", ":", MB_OK);
                return;
        }

        matrix_float = new DMatrix<float>(StrToInt(Form1->iSize_Edit->Text), StrToInt(Form1->jSize_Edit->Text));

        for(i = 0; i < StrToInt(Form1->iSize_Edit->Text); i++)
                for(j = 0; j < StrToInt(Form1->jSize_Edit->Text); j++)
                {
                        (*matrix_float)(i,j) = rand() / rand();
                }
        length_i = StrToInt(Form1->Elements_Table->RowCount);
        if (length_i > matrix_float->Get_RowCount())
                length_i = matrix_float->Get_RowCount();
        length_j = StrToInt(Form1->Elements_Table->ColCount);
        if (length_j > matrix_float->Get_ColCount())
                length_j = matrix_float->Get_ColCount();
        for(i = 0; i < length_i; i++)
                for(j = 0; j < length_j; j++)
        {
                Form1->Elements_Table->Cells[j][i] = (*matrix_float)(i,j);
        }
}
//---------------------------------------------------------------------------
void Equal_Matrix_float()
{
        if (matrix_float)
                Form1->Element_Edit->Text = FloatToStr((*matrix_float)(StrToInt(Form1->I_Edit->Text), StrToInt(Form1->J_Edit->Text)));
}
//---------------------------------------------------------------------------
void Set_Matrix_float()
{
        if (Form1->Element_Edit->Text == "")
                Form1->Element_Edit->Text = '0';
        (*matrix_float)(StrToInt(Form1->I_Edit->Text), StrToInt(Form1->J_Edit->Text)) = StrToFloat(Form1->Element_Edit->Text);
}
//---------------------------------------------------------------------------
void Update_Matrix_float()
{
        int i,j,length_i,length_j;

        length_i = StrToInt(Form1->Elements_Table->RowCount);
        length_j = StrToInt(Form1->Elements_Table->ColCount);

        for(i = 0; i < length_i; i++)
          for(j = 0; j < length_j; j++)
            Form1->Elements_Table->Cells[j][i] = "";

        if (length_i > matrix_float->Get_RowCount())
                length_i = matrix_float->Get_RowCount();

        if (length_j > matrix_float->Get_ColCount())
                length_j = matrix_float->Get_ColCount();
        for(i = 0; i < length_i; i++)
                for(j = 0; j < length_j; j++)
        {
                Form1->Elements_Table->Cells[j][i] = (*matrix_float)(Form1->Horiz_ScrollBar->Position+j, Form1->Vert_ScrollBar->Position+i);
        }
}
//---------------------------------------------------------------------------
void Resize_Matrix_float()
{
        if (matrix_float)
                matrix_float->Resize(StrToInt(Form1->iSize_Edit->Text), StrToInt(Form1->jSize_Edit->Text));
}
//---------------------------------------------------------------------------
void Create_Matrix_string()
{
        int i,j,length_i,length_j;

        if (matrix_string)
        {
                Application->MessageBoxA("  .", ":", MB_OK);
                return;
        }

        matrix_string = new DMatrix<AnsiString>(StrToInt(Form1->iSize_Edit->Text), StrToInt(Form1->jSize_Edit->Text));

        for(i = 0; i < StrToInt(Form1->iSize_Edit->Text); i++)
                for(j = 0; j < StrToInt(Form1->jSize_Edit->Text); j++)
                {
                        (*matrix_string)(i,j) = "Test " + IntToStr(i) + IntToStr(j);
                }
        length_i = StrToInt(Form1->Elements_Table->RowCount);
        if (length_i > matrix_string->Get_RowCount())
                length_i = matrix_string->Get_RowCount();
        length_j = StrToInt(Form1->Elements_Table->ColCount);
        if (length_j > matrix_string->Get_ColCount())
                length_j = matrix_string->Get_ColCount();
        for(i = 0; i < length_i; i++)
                for(j = 0; j < length_j; j++)
        {
                Form1->Elements_Table->Cells[j][i] = (*matrix_string)(i,j);
        }
}
//---------------------------------------------------------------------------
void Equal_Matrix_string()
{
        if (matrix_string)
                Form1->Element_Edit->Text = (*matrix_string)(StrToInt(Form1->I_Edit->Text), StrToInt(Form1->J_Edit->Text));
}
//---------------------------------------------------------------------------
void Set_Matrix_string()
{
        if (Form1->Element_Edit->Text == "")
                Form1->Element_Edit->Text = '0';
        (*matrix_string)(StrToInt(Form1->I_Edit->Text), StrToInt(Form1->J_Edit->Text)) = Form1->Element_Edit->Text;
}
//---------------------------------------------------------------------------
void Update_Matrix_string()
{
        int i,j,length_i,length_j;

        length_i = StrToInt(Form1->Elements_Table->RowCount);
        length_j = StrToInt(Form1->Elements_Table->ColCount);

        for(i = 0; i < length_i; i++)
          for(j = 0; j < length_j; j++)
            Form1->Elements_Table->Cells[j][i] = "";

        if (length_i > matrix_string->Get_RowCount())
                length_i = matrix_string->Get_RowCount();

        if (length_j > matrix_string->Get_ColCount())
                length_j = matrix_string->Get_ColCount();
        for(i = 0; i < length_i; i++)
                for(j = 0; j < length_j; j++)
        {
                Form1->Elements_Table->Cells[j][i] = (*matrix_string)(Form1->Horiz_ScrollBar->Position+j, Form1->Vert_ScrollBar->Position+i);
        }
}
//---------------------------------------------------------------------------
void Resize_Matrix_string()
{
        if (matrix_string)
                matrix_string->Resize(StrToInt(Form1->iSize_Edit->Text), StrToInt(Form1->jSize_Edit->Text));
}
//---------------------------------------------------------------------------


__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormCreate(TObject *Sender)
{
        Randomize();
        rb_Array_1->Checked = True;
        jSize_Edit->Enabled = False;
        J_Edit->Enabled = False;
        data_type = 0;
        Elements_Table->DefaultColWidth = 75;
        Elements_Table->DefaultRowHeight = 20;
        Elements_Table->ColCount = int(Elements_Table->Width / 75);
        Elements_Table->RowCount = 1;
        Elements_Table->FixedCols = 0;
        Elements_Table->FixedRows = 0;

        Horiz_ScrollBar->Max = StrToInt(iSize_Edit->Text) - Elements_Table->ColCount;
        Vert_ScrollBar->Max = StrToInt(jSize_Edit->Text) - Elements_Table->RowCount;

        function_array[0][0] = Create_Array_int;
        function_array[1][0] = Equal_Array_int;
        function_array[2][0] = Set_Array_int;
        function_array[3][0] = Update_Array_int;
        function_array[4][0] = Resize_Array_int;

        function_array[0][2] = Create_Array_float;
        function_array[1][2] = Equal_Array_float;
        function_array[2][2] = Set_Array_float;
        function_array[3][2] = Update_Array_float;
        function_array[4][2] = Resize_Array_float;

        function_array[0][4] = Create_Array_string;
        function_array[1][4] = Equal_Array_string;
        function_array[2][4] = Set_Array_string;
        function_array[3][4] = Update_Array_string;
        function_array[4][4] = Resize_Array_string;

        function_array[0][1] = Create_Matrix_int;
        function_array[1][1] = Equal_Matrix_int;
        function_array[2][1] = Set_Matrix_int;
        function_array[3][1] = Update_Matrix_int;
        function_array[4][1] = Resize_Matrix_int;

        function_array[0][3] = Create_Matrix_float;
        function_array[1][3] = Equal_Matrix_float;
        function_array[2][3] = Set_Matrix_float;
        function_array[3][3] = Update_Matrix_float;
        function_array[4][3] = Resize_Matrix_float;

        function_array[0][5] = Create_Matrix_string;
        function_array[1][5] = Equal_Matrix_string;
        function_array[2][5] = Set_Matrix_string;
        function_array[3][5] = Update_Matrix_string;
        function_array[4][5] = Resize_Matrix_string;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormClose(TObject *Sender, TCloseAction &Action)
{
        delete array_int;
        delete array_float;
        delete array_string;
        delete matrix_int;
        delete matrix_float;
        delete matrix_string;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Type_DataChange(TObject *Sender)
{
        if (rb_Array_2->Checked)
        {
        if (Type_Data->Text == "int")
                data_type = 1;
        else
                if (Type_Data->Text == "float")
                        data_type = 3;
                else
                        data_type = 5;
        }
        else
                if (Type_Data->Text == "int")
                data_type = 0;
                else
                        if (Type_Data->Text == "float")
                                data_type = 2;
                        else
                                data_type = 4;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::rb_Array_1Click(TObject *Sender)
{
        jSize_Edit->Enabled = False;
        J_Edit->Enabled = False;
        Type_Data->OnChange(Sender);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::rb_Array_2Click(TObject *Sender)
{
        Elements_Table->RowCount = int(Elements_Table->Height / 20) - 5;
        jSize_Edit->Enabled = True;
        J_Edit->Enabled = True;
        Type_Data->OnChange(Sender);
}
//---------------------------------------------------------------------------
void TForm1::Work_Function(int dt, int at)
{
        try
        {
                function_array[dt][at]();
        }
        catch (char* msg) {
                Application->MessageBoxA(msg, ":", MB_OK);
        }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Create_ButtonClick(TObject *Sender)
{
        int k;

        k = StrToInt(iSize_Edit->Text) - Elements_Table->ColCount;
        if (k < 0)
                Horiz_ScrollBar->Max = 0;
        else
                Horiz_ScrollBar->Max = k;
        k = StrToInt(jSize_Edit->Text) - Elements_Table->RowCount;
        if (k < 0)
                Vert_ScrollBar->Max = 0;
        else
                Vert_ScrollBar->Max = k;

        Work_Function(0, data_type);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Equal_ButtonClick(TObject *Sender)
{
        Work_Function(1, data_type);
}
//---------------------------------------------------------------------------


void __fastcall TForm1::Element_EditChange(TObject *Sender)
{
        Work_Function(2, data_type);
}
//---------------------------------------------------------------------------


void __fastcall TForm1::Change_ButtonClick(TObject *Sender)
{
        int k;

        k = StrToInt(iSize_Edit->Text) - Elements_Table->ColCount;
        if (k < 0)
                Horiz_ScrollBar->Max = 0;
        else
                Horiz_ScrollBar->Max = k;
        k = StrToInt(jSize_Edit->Text) - Elements_Table->RowCount;
        if (k < 0)
                Vert_ScrollBar->Max = 0;
        else
                Vert_ScrollBar->Max = k;
        Work_Function(4, data_type);
}
//---------------------------------------------------------------------------


void __fastcall TForm1::FormResize(TObject *Sender)
{
        Horiz_ScrollBar->Top = Elements_Table->Top + Elements_Table->Height - 17;
        Horiz_ScrollBar->Width = Elements_Table->Width - 17;
        Vert_ScrollBar->Top = Elements_Table->Top + 2;
        Vert_ScrollBar->Height = Elements_Table->Height - 17;
        Vert_ScrollBar->Left = Elements_Table->Left + Elements_Table->Width - 17;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Horiz_ScrollBarScroll(TObject *Sender,
      TScrollCode ScrollCode, int &ScrollPos)
{
        Work_Function(3, data_type);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Vert_ScrollBarScroll(TObject *Sender,
      TScrollCode ScrollCode, int &ScrollPos)
{
    Work_Function(3, data_type);  
}
//---------------------------------------------------------------------------

