//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Benchmark.h"
#include "stack.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm2 *Form2;

stack_list<int> *test_list;
stack_array<int> *test_array;

Cardinal start, stop;
//---------------------------------------------------------------------------
__fastcall TForm2::TForm2(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm2::TestClick(TObject *Sender)
{
        int tmp;

        Test->Caption = "";

        test_list = new stack_list<int>;
        test_array = new stack_array<int>(StrToInt(Resize_Size->Text));

        tmp = StrToInt(Count_Element->Text);
        start = GetTickCount();
        for (int i = 0; i < tmp; i++)
                test_list->Push(rand());
        stop = GetTickCount();
        Time_Push_List->Text = FloatToStr((stop - start) / 100) + " c";

        start = GetTickCount();
        for (int i = 0; i < tmp; i++)
                test_list->Pop();
        stop = GetTickCount();
        Time_Pop_List->Text = FloatToStr((stop - start) / 100) + " c";

        delete test_list;

        start = GetTickCount();
        for (int i = 0; i < tmp; i++)
                test_array->Push(rand());
        stop = GetTickCount();
        Time_Push_Array->Text = FloatToStr((stop - start) / 100) + " c";

        start = GetTickCount();
        for (int i = 0; i < tmp; i++)
                test_array->Pop();
        stop = GetTickCount();
        Time_Pop_Array->Text = FloatToStr((stop - start) / 100) + " c";

        delete test_array;

        Test->Caption = "";
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormCreate(TObject *Sender)
{
        randomize();
}
//---------------------------------------------------------------------------

