//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Benchmark.h"
#include "queue.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm2 *Form2;

queue_list<int> *test_list;
queue_array<int> *test_array;

Cardinal start, stop;
//---------------------------------------------------------------------------
__fastcall TForm2::TForm2(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm2::TestClick(TObject *Sender)
{
        int tmp;

        Test->Caption = "";

        test_list = new queue_list<int>;
        test_array = new queue_array<int>(StrToInt(Resize_Size->Text));

        tmp = StrToInt(Count_Element->Text);
        if (50000 >= tmp) {
        start = GetTickCount();
        for (int i = 0; i < tmp; i++)
                test_list->Insert(rand(), rand());
        stop = GetTickCount();
        Time_Push_List->Text = FloatToStr((stop - start) / 100) + " c";

        start = GetTickCount();
        for (int i = 0; i < tmp; i++)
                test_list->Pop();
        stop = GetTickCount();
        Time_Pop_List->Text = FloatToStr((stop - start) / 100) + " c";

        delete test_list;
        }

        start = GetTickCount();
        for (int i = 0; i < tmp; i++)
                test_array->Insert(rand(), rand());
        stop = GetTickCount();
        Time_Push_Array->Text = FloatToStr((stop - start) / 100) + " c";

        start = GetTickCount();
        for (int i = 0; i < tmp; i++)
                test_array->Pop();
        stop = GetTickCount();
        Time_Pop_Array->Text = FloatToStr((stop - start) / 100) + " c";

        delete test_array;

        Test->Caption = "";
}
//---------------------------------------------------------------------------
void __fastcall TForm2::FormCreate(TObject *Sender)
{
        randomize();
}
//---------------------------------------------------------------------------

