//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
#include "string.h"

#include "String_Example.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;

string* Test_String;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Insert_ButtonClick(TObject *Sender)
{
        if (!Test_String)
        {
                ShowMessage("  .");
                return;
        }

        try {
                Test_String->Insert(Insert_Edit->Text.c_str(), StrToInt(Position_Edit->Text));
                String_Edit->Text = Test_String->String();

        }
        catch (char* msg) {
                Application->MessageBoxA(msg, ":", MB_OK);
        }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormClose(TObject *Sender, TCloseAction &Action)
{
        delete Test_String;
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Create_Copy_ButtonClick(TObject *Sender)
{
        if (Test_String)
                *Test_String = String_Create_Edit->Text.c_str();
        else
                Test_String = new string(String_Create_Edit->Text.c_str());

        String_Edit->Text = Test_String->String();
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Find_ButtonClick(TObject *Sender)
{
        if (!Test_String)
        {
                ShowMessage("  .");
                return;
        }

        if (SubString_Edit->Text.Length() == 1)
                Num_Edit->Text = IntToStr(Test_String->Pos(SubString_Edit->Text.c_str()));
        else
                Num_Edit->Text = IntToStr(Test_String->SubStr(SubString_Edit->Text.c_str()));
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Equal_ButtonClick(TObject *Sender)
{
        if (!Test_String)
        {
                ShowMessage("  .");
                return;
        }

        try {
                Char_Edit->Text = (*Test_String)[StrToInt(Index_Edit->Text)];
        }
        catch (char* msg) {
                Application->MessageBoxA(msg, ":", MB_OK);
        }
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Compare_ButtonClick(TObject *Sender)
{
        if (!Test_String)
        {
                ShowMessage("  .");
                return;
        }

        string cmp_string(String_Compare_Edit->Text.c_str());

        if (*Test_String == cmp_string)
                ShowMessage(" ");
        else
                ShowMessage("  ");
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Add_ButtonClick(TObject *Sender)
{
        if (!Test_String)
        {
                ShowMessage("  .");
                return;
        }

        string add_string(String_Add_Edit->Text.c_str());

        *Test_String = *Test_String + add_string;
        String_Edit->Text = Test_String->String();
}
//---------------------------------------------------------------------------

